Index: guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 5554566ecd5b49e8f38f1f9a51641ff7cddae1be)
+++ guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 7ab924167074b04222ed48f22e9ba404064832c3)
@@ -41,5 +41,5 @@
                       
         self.update()
-        #self._post_data()
+        self._post_data()
         
         # Bind to slice parameter events
Index: guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter2D.py	(revision 34260779ec2d5c5495c9cb387eb8a3e678e15b3d)
+++ guiframe/local_perspectives/plotting/Plotter2D.py	(revision 7ab924167074b04222ed48f22e9ba404064832c3)
@@ -202,5 +202,9 @@
         slicerpop.Append(id, '&Annulus [Phi view ]')
         wx.EVT_MENU(self, id, self.onSectorPhi) 
-      
+        
+        id = wx.NewId()
+        slicerpop.Append(id, '&Box Sum')
+        wx.EVT_MENU(self, id, self.onBoxSum) 
+        
         id = wx.NewId()
         slicerpop.Append(id, '&Box averaging')
@@ -370,8 +374,8 @@
         wx.PostEvent(self.parent, InternalEvent(slicer= AnnulusInteractor))
         
-    def onBoxavg(self,event):
-        from boxSlicer import BoxInteractor
-        self.onClearSlicer(event)
-        wx.PostEvent(self.parent, InternalEvent(slicer= BoxInteractor))
+    def onBoxSum(self,event):
+        from boxSum import BoxSum
+        self.onClearSlicer(event)
+        wx.PostEvent(self.parent, InternalEvent(slicer= BoxSum))
         """
         self.onClearSlicer(event)
@@ -386,4 +390,21 @@
         wx.PostEvent(self.parent, InternalEvent(slicer= BoxInteractor))
         print "onboxavg",self.slicer
+        """ 
+    def onBoxavg(self,event):
+        from boxSlicer import BoxInteractor
+        self.onClearSlicer(event)
+        wx.PostEvent(self.parent, InternalEvent(slicer= BoxInteractor))
+        """
+        self.onClearSlicer(event)
+        self.slicer=BoxInteractor
+        from SlicerParameters import SlicerParameterPanel
+       
+        dialog = SlicerParameterPanel(self.parent, -1, "Slicer Parameters")
+        dialog.set_slicer(self.slicer.__name__,
+                        self.slicer.get_params())
+        if dialog.ShowModal() == wx.ID_OK:
+            dialog.Destroy()
+        wx.PostEvent(self.parent, InternalEvent(slicer= BoxInteractor))
+        print "onboxavg",self.slicer
         """
         
Index: guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/boxSlicer.py	(revision cd68f8ce443e246b276eb79add6fb60062d84fa7)
+++ guiframe/local_perspectives/plotting/boxSlicer.py	(revision 7ab924167074b04222ed48f22e9ba404064832c3)
@@ -264,14 +264,14 @@
         self.axes = axes
         
-        self.y=y
-        self.save_y=y
-        
-        self.xmin=xmin
-        self.save_xmin=xmin
-        self.xmax=xmax
-        self.save_xmax=xmax
-        self.theta2= theta2
-        self.radius1= math.sqrt(math.pow(self.xmin, 2)+ math.pow(self.y, 2))
-        self.radius2= math.sqrt(math.pow(self.xmax, 2)+ math.pow(self.y, 2))
+        self.y = y
+        self.save_y = y 
+        
+        self.xmin = xmin
+        self.save_xmin = xmin
+        self.xmax = xmax
+        self.save_xmax = xmax
+        self.theta2 = theta2
+        self.radius1 = math.sqrt(math.pow(self.xmin, 2)+ math.pow(self.y, 2))
+        self.radius2 = math.sqrt(math.pow(self.xmax, 2)+ math.pow(self.y, 2))
         
        
@@ -373,12 +373,12 @@
         """
         self.y=y
-        self.radius1= math.sqrt(math.pow(self.xmin, 2)+ math.pow(self.y, 2))
-        self.radius2= math.sqrt(math.pow(self.xmax, 2)+ math.pow(self.y, 2))
-        
-        self.theta_right= math.atan2(self.y,self.xmin)
-        self.theta_left= math.atan2(self.y,self.xmax)
-        
-        self.phi_left= self.theta_left - self.theta2
-        self.phi_right=  self.theta_right -  self.theta2 
+        #self.radius1= math.sqrt(math.pow(self.xmin, 2)+ math.pow(self.y, 2))
+        #self.radius2= math.sqrt(math.pow(self.xmax, 2)+ math.pow(self.y, 2))
+        
+        #self.theta_right= math.atan2(self.y,self.xmin)
+        #self.theta_left= math.atan2(self.y,self.xmax)
+        
+        #self.phi_left= self.theta_left - self.theta2
+        #self.phi_right=  self.theta_right -  self.theta2 
         
         self.has_move=True
